package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 经验共享-组织领导对象 jygx_bmjj
 *
 * @author qianhe
 * @date 2024-07-30
 */
public class JygxBmjj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 部门简介维护 */
    @Excel(name = "部门简介维护")
    private String bmjjwh;

    /** 组织领导 */
    @Excel(name = "组织领导")
    private String zzld;

    /** 三基管理人员 */
    @Excel(name = "三基管理人员")
    private String sjglry;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBmjjwh(String bmjjwh)
    {
        this.bmjjwh = bmjjwh;
    }

    public String getBmjjwh()
    {
        return bmjjwh;
    }
    public void setZzld(String zzld)
    {
        this.zzld = zzld;
    }

    public String getZzld()
    {
        return zzld;
    }
    public void setSjglry(String sjglry)
    {
        this.sjglry = sjglry;
    }

    public String getSjglry()
    {
        return sjglry;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmjjwh", getBmjjwh())
            .append("zzld", getZzld())
            .append("sjglry", getSjglry())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
